[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# sqr

Calculate the square of a value.

## Declaration

Source position: line 0

`function sqr(`
`l: LongInt`
`):LongInt; function sqr(`
`l: Int64`
`):Int64; function sqr(`
`l: QWord`
`):QWord; function sqr(`
`d: ValReal`
`):ValReal;`

## Description

Sqr returns the square of its argument X.

## Errors

None.

## See also

Sqrt |  | Calculate the square root of a value
Ln |  | Calculate logarithm
Exp |  | Exponentiate

## Example

    Program Example65;

    { Program to demonstrate the Sqr function. }
    Var i : Integer;

    begin
      For i:=1 to 10 do
        writeln (Sqr(i):3);
    end.

Documentation generated on: Feb 26 2014